読者です 読者をやめる 読者になる 読者になる

Catalyst入れてみた

再び、Catalystをいれてみたら、coLinux(fedora7)でエラーが出てきた。。

ただ、catalyst.pl myappとかやっただけなんだけど、こんな感じ。

Weak references are not implemented in the version of perl at /usr/lib/perl5/site_perl/5.8.8/Catalyst.pm line 24
....

24行目になにがあるかというと、Scalar::Utilをuseしていたところだったので、なんか怪しいと。。

ググったら、typesterさんも似た現象がおきてたみたいですね。

だから、Scalar::Utilインストールしてみました。

cpan> install Scalar::Util

そしたら、catalyst.pl myappは無事動いた。

めでたしめでたし。。

[>Weak references are not implemented in the version of perlCommentsAdd Star